# Memcached::getMultiByKey

(PECL memcached >= 0.1.0)

Memcached::getMultiByKey — Retrieve multiple items from a specific server

### Description

public Memcached::getMultiByKey ( string `$server_key` , array `$keys` [, int `$flags` ] ) : array

Memcached::getMultiByKey() is functionally equivalent to Memcached::getMulti(), except that the free-form `server_key` can be used to map the `keys` to a specific server.

### Parameters

`server_key`

  The key identifying the server to store the value on or retrieve it from. Instead of hashing on the actual key for the item, we hash on the server key when deciding which memcached server to talk to. This allows related items to be grouped together on a single server for efficiency with multi operations.

`keys`

  Array of keys to retrieve.

`flags`

  The flags for the get operation.

### Return Values

Returns the array of found items or `FALSE` on failure. Use Memcached::getResultCode() if necessary.

### Changelog

Version | Description
--- | ---
3.0.0 | The `&cas_tokens` parameter was removed. The `Memcached::GET_EXTENDED` was added and when passed as a flag it ensures the CAS tokens to be fetched.

### See Also

- Memcached::getMulti() - Retrieve multiple items
- Memcached::get() - Retrieve an item
- Memcached::getDelayed() - Request multiple items